Synchronet now requires the libarchive development package (e.g. libarchive-dev on Debian-based Linux distros, libarchive.org for more info) to build successfully.

Commit 0d802d84 authored by Rob Swindell's avatar Rob Swindell 💬

Fix count_files() for v3.19 compatibility.

parent 8e88159c
......@@ -2,9 +2,7 @@ require('filebase.js', 'OldFileBase');
require('file_size.js', 'file_size_str');
function count_files(dir) {
const fn = format("%s%s.ixb", file_area.dir[dir].data_dir, dir);
if (!file_exists(fn)) return 0;
return Math.floor(file_size(fn) / 22); // ixb record length is 22 bytes
return file_area.dir[dir].files;
}
function libHasFiles(lib) {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment